<?php

/*
 * This file is part of the PHPExifTool package.
 *
 * (c) Alchemy <support@alchemy.fr>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\NikonCustom;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class Func1ButtonPlusDials extends AbstractTag
{

    protected $Id = '42.1';

    protected $Name = 'Func1ButtonPlusDials';

    protected $FullName = 'mixed';

    protected $GroupName = 'NikonCustom';

    protected $g0 = 'MakerNotes';

    protected $g1 = 'NikonCustom';

    protected $g2 = 'Camera';

    protected $Type = 'int8u';

    protected $Writable = true;

    protected $Description = 'Func 1 Button Plus Dials';

    protected $flag_Permanent = true;

    protected $Values = array(
        0 => array(
            'Id' => 0,
            'Label' => 'None',
        ),
        1 => array(
            'Id' => 1,
            'Label' => 'Choose Image Area',
        ),
        2 => array(
            'Id' => 2,
            'Label' => 'Shutter Speed & Aperture Lock',
        ),
        3 => array(
            'Id' => 3,
            'Label' => 'One Step Speed / Aperture',
        ),
        4 => array(
            'Id' => 4,
            'Label' => 'Choose Non-CPU Lens Number',
        ),
        5 => array(
            'Id' => 5,
            'Label' => 'Active D-Lighting',
        ),
        6 => array(
            'Id' => 7,
            'Label' => 'Photo Shooting Menu Bank',
        ),
        7 => array(
            'Id' => 8,
            'Label' => 'Exposure Delay Mode',
        ),
        8 => array(
            'Id' => 0,
            'Label' => 'None',
        ),
        9 => array(
            'Id' => 1,
            'Label' => 'Choose Image Area (DX/1.3x)',
        ),
        10 => array(
            'Id' => 2,
            'Label' => 'Shutter Speed & Aperture Lock',
        ),
        11 => array(
            'Id' => 3,
            'Label' => 'One Step Speed / Aperture',
        ),
        12 => array(
            'Id' => 4,
            'Label' => 'Choose Non-CPU Lens Number',
        ),
        13 => array(
            'Id' => 5,
            'Label' => 'Active D-Lighting',
        ),
        14 => array(
            'Id' => 7,
            'Label' => 'Photo Shooting Menu Bank',
        ),
        15 => array(
            'Id' => 8,
            'Label' => 'Exposure Delay Mode',
        ),
        16 => array(
            'Id' => 0,
            'Label' => 'None',
        ),
        17 => array(
            'Id' => 1,
            'Label' => 'Choose Image Area',
        ),
        18 => array(
            'Id' => 2,
            'Label' => 'Shutter Speed & Aperture Lock',
        ),
        19 => array(
            'Id' => 3,
            'Label' => 'One Step Speed / Aperture',
        ),
        20 => array(
            'Id' => 4,
            'Label' => 'Choose Non-CPU Lens Number',
        ),
        21 => array(
            'Id' => 5,
            'Label' => 'Active D-Lighting',
        ),
        22 => array(
            'Id' => 7,
            'Label' => 'Photo Shooting Menu Bank',
        ),
        23 => array(
            'Id' => 8,
            'Label' => 'Exposure Delay Mode',
        ),
    );

}
